<?php

namespace FiloBlu\ExtMagentoWidget\Plugin\Helper\Product;

use Magento\Framework\View\Result\Page as ResultPage;

class View {

    public function beforeInitProductLayout(\Magento\Catalog\Helper\Product\View $subject, ResultPage $resultPage, $product, $params = null) {

        $categories = $product->getCategoryIds();
        
        if(count($categories) ){
            foreach ($categories as $categoryId) {
                $resultPage->addHandle('catalog_product_view_category_' . $categoryId);
            }
        }
        
        return [$resultPage,$product,$params];
    }

}
